<h3>About the Deities</h3>

<p>On the right hand side of the altar you will see Sri Sri Radha-Londonisvara, the principal deities at our Temple. Installed by Srila Prabhupada in 1969, They are the movement's first full-size Radha-Krishna deities. Srila Prabhupada himself supervised their installation in December, 1969, at Bury Place. When asked who were his favourite deities, Srila Prabhupada replied, on more than one occasion, that Sri Sri Radha-Londonisvara were the most beautiful.</p>

<p>Through the installation of Sri Sri Radha Londonishvara, Srila Prabhupada had fulfilled a long-standing order of the previous spiritual masters in the lineage. They are one of the most prominent sets of deities in the entire western world.</p>

<p>At the feet of Sri Londonisvara is Giri Govardhan.</p>

<p>On the left hand side of the altar you will see Their Lordships Jagannatha, Baladeva and Subhadra deities on the left hand side of the altar.</p>

<p>In the centre of the altar you will see Sri Sri Gaura Nitai.</p>
<img src="images/see_our_shrine/2017-11-07-08.08.jpg" alt="" style="width: 100%" class="lightbox">
<p>For daily photos of our Shrine, please visit our dedicated Facebook page.</p>
<div class="ui-btn ui-btn-small brd-fs-clr bg-fs-clr-hov marg-bott-25"><a href="https://www.facebook.com/iskconlondon/" class="" target="_blank">Daily Shrine Updates</a></div>